0 Replies Latest reply on Jul 20, 2015 5:43 PM by garyjunbug

    I have lightroom 5 and it will not let me use the develop module without creating a cc account.  I do not need cc and nor do I want it! I bought lightroom 5 back in 2013 and it works just fine!

    garyjunbug

      I have lightroom 5 and it will not let me use the develop module without creating a cc account.  I do not need cc and nor do I want it! I bought lightroom 5 back in 2013 and it works just fine!